Index: creddy/attribute.c
===================================================================
--- creddy/attribute.c	(revision 9ac7fb4e588dd8177e62f6a2832147996b9d53ce)
+++ creddy/attribute.c	(revision 472161887a4822e907c5e9d23bd1a4a0ec6f950b)
@@ -8,6 +8,6 @@
 #include <termios.h>
 
+#include "libabac_common.h"
 #include "creddy_common.h"
-#include <abac.h>
 
 void attribute_main(options_t *opts) {
Index: creddy/attribute_rule.c
===================================================================
--- creddy/attribute_rule.c	(revision 9ac7fb4e588dd8177e62f6a2832147996b9d53ce)
+++ creddy/attribute_rule.c	(revision 472161887a4822e907c5e9d23bd1a4a0ec6f950b)
@@ -10,6 +10,5 @@
 
 #include "creddy_common.h"
-#include <abac.h>
-#include "abac_util.h"
+#include "libabac_common.h"
 
 void attribute_rule_main(options_t *opts) {
Index: creddy/creddy.c
===================================================================
--- creddy/creddy.c	(revision 9ac7fb4e588dd8177e62f6a2832147996b9d53ce)
+++ creddy/creddy.c	(revision 472161887a4822e907c5e9d23bd1a4a0ec6f950b)
@@ -366,9 +366,9 @@
             "Usage: creddy [ --<mode> ] [ --help ]\n"
             "    --generate:  generate X.509 identity cert and private key\n"
-            "    --verify:    check validity of X.509 ID or attribute cert\n"
+            "    --verify:    check validity of X.509 ID or XML attribute cert\n"
             "    --keyid:     get fingerprint from X.509 ID cert\n"
-            "    --attribute: generate an X.509 attribute cert\n"
-            "    --roles:     list roles from an X.509 attribute cert\n"
-            "    --display:   list metadata from an X.509 identity or attribute cert\n"
+            "    --attribute: generate an XML attribute cert\n"
+            "    --roles:     list roles from an XML attribute cert\n"
+            "    --display:   list metadata from an X.509 identity or an XML attribute cert\n"
             "    --version:   display ABAC version\n"
         );
Index: creddy/display.c
===================================================================
--- creddy/display.c	(revision 9ac7fb4e588dd8177e62f6a2832147996b9d53ce)
+++ creddy/display.c	(revision 472161887a4822e907c5e9d23bd1a4a0ec6f950b)
@@ -6,9 +6,6 @@
 #include <err.h>
 
-#include <abac.h>
+#include "libabac_common.h"
 #include "creddy_common.h"
-
-extern char *abac_attribute_role_string(abac_attribute_t *attr);
-extern abac_chunk_t abac_attribute_cert(abac_attribute_t *ptr);
 
 // helper
Index: creddy/generate.c
===================================================================
--- creddy/generate.c	(revision 9ac7fb4e588dd8177e62f6a2832147996b9d53ce)
+++ creddy/generate.c	(revision 472161887a4822e907c5e9d23bd1a4a0ec6f950b)
@@ -6,5 +6,5 @@
 #include <err.h>
 
-#include <abac.h>
+#include "libabac_common.h"
 #include "creddy_common.h"
 
Index: creddy/keyid.c
===================================================================
--- creddy/keyid.c	(revision 9ac7fb4e588dd8177e62f6a2832147996b9d53ce)
+++ creddy/keyid.c	(revision 472161887a4822e907c5e9d23bd1a4a0ec6f950b)
@@ -3,5 +3,5 @@
 #include <err.h>
 
-#include <abac.h>
+#include "libabac_common.h"
 #include "creddy_common.h"
 
Index: creddy/roles.c
===================================================================
--- creddy/roles.c	(revision 9ac7fb4e588dd8177e62f6a2832147996b9d53ce)
+++ creddy/roles.c	(revision 472161887a4822e907c5e9d23bd1a4a0ec6f950b)
@@ -4,8 +4,6 @@
 #include <err.h>
 
-#include "abac.h"
-#include <creddy_common.h>
-
-extern char *abac_attribute_role_string(abac_attribute_t *attr);
+#include "libabac_common.h"
+#include "creddy_common.h"
 
 void roles_main(options_t *opts) {
Index: creddy/verify.c
===================================================================
--- creddy/verify.c	(revision 9ac7fb4e588dd8177e62f6a2832147996b9d53ce)
+++ creddy/verify.c	(revision 472161887a4822e907c5e9d23bd1a4a0ec6f950b)
@@ -5,5 +5,5 @@
 #include <string.h>
 
-#include <abac.h>
+#include "libabac_common.h"
 #include "creddy_common.h"
 
